- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::GradientScaling Class Reference

This class does problem scaling by setting the scaling parameters based on the maximum of the gradient at the user provided initial point. More...

`#include <IpGradientScaling.hpp>`

Inheritance diagram for Ipopt::GradientScaling:

[legend]
Collaboration diagram for Ipopt::GradientScaling:

[legend]
List of all members.

## Public Member Functions
Constructors/Destructors
| GradientScaling (const SmartPtr< NLP > &nlp)
virtual | ~GradientScaling ()
| Default destructor.
## Static Public Member Functions
static void | RegisterOptions (const SmartPtr< RegisteredOptions > &roptions)
| Register the options for this class.
## Protected Member Functions
bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Initialize the object from the options.
virtual void | DetermineScalingParametersImpl (const SmartPtr< const VectorSpace > x_space, const SmartPtr< const VectorSpace > c_space, const SmartPtr< const VectorSpace > d_space, const SmartPtr< const MatrixSpace > jac_c_space, const SmartPtr< const MatrixSpace > jac_d_space, const SmartPtr< const SymMatrixSpace > h_space, const Matrix &Px_L, const Vector &x_L, const Matrix &Px_U, const Vector &x_U, Number &df, SmartPtr< Vector > &dx, SmartPtr< Vector > &dc, SmartPtr< Vector > &dd)
| This is the method that has to be overloaded by a particular scaling method that somehow computes the scaling vectors dx, dc, and dd.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| GradientScaling (const GradientScaling &)
| Copy Constructor.
void | operator= (const GradientScaling &)
| Overloaded Equals Operator.
## Private Attributes
SmartPtr< NLP > | nlp_
| pointer to the NLP to get scaling parameters
Number | scaling_max_gradient_
| maximum allowed gradient before scaling is performed
Number | scaling_obj_target_gradient_
| target size of norm for objective gradient
Number | scaling_constr_target_gradient_
| target size of norm for constraint gradients

## Detailed Description

This class does problem scaling by setting the scaling parameters based on the maximum of the gradient at the user provided initial point.

Definition at line 21 of file IpGradientScaling.hpp.

## Constructor & Destructor Documentation

Ipopt::GradientScaling::GradientScaling | ( | const SmartPtr< NLP > & | nlp | ) | `[inline]`

Definition at line 26 of file IpGradientScaling.hpp.

virtual Ipopt::GradientScaling::~GradientScaling | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 33 of file IpGradientScaling.hpp.

Ipopt::GradientScaling::GradientScaling | ( | const GradientScaling & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

static void Ipopt::GradientScaling::RegisterOptions | ( | const SmartPtr< RegisteredOptions > & | roptions | ) | `[static]`

Register the options for this class.

bool Ipopt::GradientScaling::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[protected, virtual]`

Initialize the object from the options.

Reimplemented from Ipopt::StandardScalingBase.

virtual void Ipopt::GradientScaling::DetermineScalingParametersImpl | ( | const SmartPtr< const VectorSpace > | x_space,
|  | const SmartPtr< const VectorSpace > | c_space,
|  | const SmartPtr< const VectorSpace > | d_space,
|  | const SmartPtr< const MatrixSpace > | jac_c_space,
|  | const SmartPtr< const MatrixSpace > | jac_d_space,
|  | const SmartPtr< const SymMatrixSpace > | h_space,
|  | const Matrix & | Px_L,
|  | const Vector & | x_L,
|  | const Matrix & | Px_U,
|  | const Vector & | x_U,
|  | Number & | df,
|  | SmartPtr< Vector > & | dx,
|  | SmartPtr< Vector > & | dc,
|  | SmartPtr< Vector > & | dd |
| ) |  |  | `[protected, virtual]`

This is the method that has to be overloaded by a particular scaling method that somehow computes the scaling vectors dx, dc, and dd.

The pointers to those vectors can be NULL, in which case no scaling for that item will be done later.

Implements Ipopt::StandardScalingBase.

void Ipopt::GradientScaling::operator= | ( | const GradientScaling & |  | ) | `[private]`

Overloaded Equals Operator.

## Member Data Documentation

SmartPtr<NLP> Ipopt::GradientScaling::nlp_`[private]`

pointer to the NLP to get scaling parameters

Definition at line 81 of file IpGradientScaling.hpp.

Number Ipopt::GradientScaling::scaling_max_gradient_`[private]`

maximum allowed gradient before scaling is performed

Definition at line 84 of file IpGradientScaling.hpp.

Number Ipopt::GradientScaling::scaling_obj_target_gradient_`[private]`

target size of norm for objective gradient

Definition at line 87 of file IpGradientScaling.hpp.

Number Ipopt::GradientScaling::scaling_constr_target_gradient_`[private]`

target size of norm for constraint gradients

Definition at line 90 of file IpGradientScaling.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.5.1/Ipopt/src/Algorithm/IpGradientScaling.hpp